package com.displaynone.acss.components.acs.code;

import com.displaynone.acss.components.auth.models.role.RoleDTO;
import com.displaynone.acss.components.auth.models.role.RoleMapper;
import com.displaynone.acss.components.auth.models.role.RoleModel;
import com.displaynone.acss.utils.GlobalUtils;
import lombok.experimental.UtilityClass;

import java.util.Collection;
import java.util.List;

@UtilityClass
public class CodeMapper {
    public CodeDTO convertToDTO(CodeModel model) {
        CodeDTO dto = new CodeDTO();

        dto.setId(model.getId());
        dto.setCodeValue(model.getCodeValue());

        return dto;
    }

    public List<RoleDTO> convertAllToDTO(Collection<RoleModel> models) {
        return GlobalUtils.convertAllToDTO(models, RoleMapper::convertToDTO);
    }
}
